#include <iotms470r1a256.h>
#include <string.h>
#include "system.h"
#include "mmc.h"

// array which we use to read/write to MMC card
extern char mmc_buffer[512];

void Delay_mS (unsigned long a) { while (--a!=0); }

int main()
{
  // Init frequency
  InitFreq();

  // Init CP and WP
  InitCPWP();

  // check for card present and write protect
  while((GIODINB_bit.GIODIN2 == 0)&&(GIODINB_bit.GIODIN3 == 0)) { /* put your event here*/ }


  /////////  MMC TEST BEGIN  ///////////////
  if (initMMC() == MMC_SUCCESS)	// card found
  {

    memset(&mmc_buffer,0,512);
    mmcReadRegister (10, 16);
    mmc_buffer[7]=0;

    // Fill first Block (0) with 'A'
    memset(&mmc_buffer,'0',512);    //set breakpoint and trace mmc_buffer contents
    mmcWriteBlock(0);
    // Fill second Block (1)-AbsAddr 512 with 'B'
    memset(&mmc_buffer,'1',512);
    mmcWriteBlock(512);

    // Read first Block back to buffer
    memset(&mmc_buffer,0x00,512);
    mmcReadBlock(0,512);

    // Read first Block back to buffer
    memset(&mmc_buffer,0x00,512);
    mmcReadBlock(512,512);
  }
  ////////   MMC TEST END   ////////////////


  while(1) {
  }

}
