#include "system.h"
#include <iotms470r1a256.h>


// Init frequency
void InitFreq(void) {

  // global control clock
  GCR_bit.CLK_DIV_PRE   = 0x0;
  GCR_bit.MULT4         = 0x0;
  GCR_bit.RTI_CTRL      = 0x0;

  // enable pheripferal clock
  PCR_bit.PENABLE   = 0x1;  // enable
  PCR_bit.CLKDIV    = 0x0;

  // clock control register
  CLKCNTL_bit.CLKSR     = 0x1;  //  driven by ICLK
  CLKCNTL_bit.PPW_NOVR  = 0x0;
}

// Init buttons
void InitButtons(void) {

  // Button 1 as input
  GIODIRA_bit.GIODIR1 = 0x0;

  // Button 2 as input
  GIODIRA_bit.GIODIR2 = 0x0;

  // Button 3 as input
  GIODIRA_bit.GIODIR3 = 0x0;

}

void InitCPWP(void) {

  // WP as input
  GIODIRB_bit.GIODIR2 = 0x0;

  // CP as input
  GIODIRB_bit.GIODIR3 = 0x0;

}

//Init leds
void InitLeds(void) {
  // led is connected to SCI interface (CLK)
}

void LedOn(void) {
  // CLK pin -> low
   SCI1PC1_bit.CLK_DATA_IN = 0x0;
}

void LedOff(void) {
  // CLK pin -> high
   SCI1PC1_bit.CLK_DATA_IN = 0x1;
}
